# SPDX-License-Identifier: GPL-2.0 OR BSD-2-Clause
%YAML 1.2
---
$id: http://devicetree.org/schemas/sound/qcom,q6adm-routing.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Qualcomm Audio Device Manager (Q6ADM) routing

maintainers:
  - Krzysztof Kozlowski <krzysztof.kozlowski@linaro.org>
  - Srinivas Kandagatla <srinivas.kandagatla@linaro.org>

description:
  Qualcomm Audio Device Manager (Q6ADM) routing node represents routing
  specific configuration.

properties:
  compatible:
    enum:
      - qcom,q6adm-routing

  "#sound-dai-cells":
    const: 0

required:
  - compatible
  - "#sound-dai-cells"

additionalProperties: false

examples:
  - |
    routing {
        compatible = "qcom,q6adm-routing";
        #sound-dai-cells = <0>;
    };
